<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="cyhal__system__impl_8h" kind="file" language="C++">
    <compoundname>cyhal_system_impl.h</compoundname>
    <includes local="yes" refid="cyhal__system_8h">cyhal_system.h</includes>
    <includedby local="yes" refid="cyhal__analog__common_8c">cyhal_analog_common.c</includedby>
    <includedby local="yes" refid="cyhal__ezi2c_8c">cyhal_ezi2c.c</includedby>
    <includedby local="yes" refid="cyhal__i2s_8c">cyhal_i2s.c</includedby>
    <includedby local="yes" refid="cyhal__lptimer_8c">cyhal_lptimer.c</includedby>
    <includedby local="yes" refid="cyhal__qspi_8c">cyhal_qspi.c</includedby>
    <includedby local="yes" refid="cyhal__spi_8c">cyhal_spi.c</includedby>
    <includedby local="yes" refid="cyhal__uart_8c">cyhal_uart.c</includedby>
    <briefdescription>
<para>Provides a PSoC Specific interface for interacting with the Cypress power management and system clock configuration. </para>    </briefdescription>
    <detaileddescription>
<para>This interface abstracts out the chip specific details. If any chip specific functionality is necessary, or performance is critical the low level functions can be used directly.</para><para><simplesect kind="copyright"><para>Copyright 2018-2020 Cypress Semiconductor Corporation SPDX-License-Identifier: Apache-2.0</para></simplesect>
Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at <verbatim>http://www.apache.org/licenses/LICENSE-2.0
</verbatim></para><para>Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. </para>    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/***************************************************************************/</highlight></codeline>
<codeline lineno="28"><highlight class="preprocessor">#pragma<sp />once</highlight><highlight class="normal" /></codeline>
<codeline lineno="29"><highlight class="normal" /></codeline>
<codeline lineno="30"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cyhal_system.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="31"><highlight class="normal" /></codeline>
<codeline lineno="32"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(CY_IP_MXS40SRSS)<sp />||<sp />defined(CY_IP_S8SRSSLT)</highlight><highlight class="normal" /></codeline>
<codeline lineno="33"><highlight class="normal" /></codeline>
<codeline lineno="34"><highlight class="normal" /><highlight class="preprocessor">#define<sp />cyhal_system_critical_section_enter()<sp /><sp /><sp />Cy_SysLib_EnterCriticalSection()</highlight><highlight class="normal" /></codeline>
<codeline lineno="35"><highlight class="normal" /></codeline>
<codeline lineno="36"><highlight class="normal" /><highlight class="preprocessor">#define<sp />cyhal_system_critical_section_exit(x)<sp /><sp /><sp />Cy_SysLib_ExitCriticalSection(x)</highlight><highlight class="normal" /></codeline>
<codeline lineno="37"><highlight class="normal" /></codeline>
<codeline lineno="38"><highlight class="normal" /><highlight class="preprocessor">#define<sp />cyhal_system_delay_us(microseconds)<sp /><sp /><sp /><sp /><sp />Cy_SysLib_DelayUs(microseconds)</highlight><highlight class="normal" /></codeline>
<codeline lineno="39"><highlight class="normal" /></codeline>
<codeline lineno="40"><highlight class="normal" /><highlight class="preprocessor">#define<sp />cyhal_system_clear_reset_reason()<sp /><sp /><sp /><sp /><sp /><sp /><sp />Cy_SysLib_ClearResetReason()</highlight><highlight class="normal" /></codeline>
<codeline lineno="41"><highlight class="normal" /></codeline>
<codeline lineno="42"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />defined(CY_IP_MXS40SRSS)<sp />||<sp />defined(CY_IP_S8SRSSLT)<sp />*/</highlight><highlight class="preprocessor" /></codeline>
    </programlisting>
    <location file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_system_impl.h" />
  </compounddef>
</doxygen>